[INHERIT('BB.PEN')]
module previous_message_page;

[global] procedure previous_message_page;

{Display the previous page of the current message.  If at the start of
 the current message, display the last page of the previous message if
 there is one.}

begin
  if (data_curr^.previous <> data_root) then
    begin
      data_curr := data_curr^.previous;
      data_curr := data_curr^.previous;
      write_message_data;
    end
  else
    previous_message;
end;

end.
